%def_enable shared
%def_disable static
%def_disable rpath
%def_enable optimizations
%def_enable fast_install
%def_with pic
%def_disable debug

# Demuxers
%def_enable asf
%def_enable v4l

# Audio codecs
%def_enable a52
%def_with ext_a52
%def_enable dts
%def_with ext_dts
%def_enable faad
%def_with ext_faad
%def_enable flac
%def_enable mad
%def_with ext_mad
%def_with speex
%def_enable musepack
%def_with ext_libmpcdec
%def_with wavpack
%def_enable modplug

# Audio output
%def_with alsa
%def_with arts
%def_disable coreaudio
%def_with esound
%def_without fusionsound
%def_with pulseaudio
%def_enable oss
%def_enable jack

# Video output
%def_enable opengl
%def_enable glu
%def_enable fb
%def_enable xvmc
%def_enable xinerama
%def_enable aa
%def_with caca
%def_without xcb
%def_enable directfb
%def_with sdl
%def_disable dxr3
%def_disable macosx_video
%def_enable vidix
%def_with ext_vidix
%def_disable static_xv
%define xvdir %_libdir
%def_enable xvmc
%define xxmclib XvMCW
%define xvmclib XvMCW

# Image options
%def_enable mng
%def_with imagemagick

# Other options
%def_enable nls
%def_with freetype
%def_with fontconfig
%def_enable antialiasing
%def_enable gnomevfs
%def_enable vcd
%def_enable fame
%def_with vorbis
%def_with theora
%def_without int_vcd
%def_enable samba
%def_enable gdkpixbuf
%def_enable largefile
%def_enable real_codecs
%def_enable win32
%define win32dir %_libdir/win32
%def_disable dha
%def_with ext_ffmpeg
%def_with ext_dvdnav
%def_disable ipv6
%def_enable mmap

%def_disable altivec
%def_disable vic
%def_disable mlib

%define audio_buffer_size 16384

#-------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_enable() %{expand:%%force_enable %{1}} %{expand:%%undefine _disable_%{1}}
%define subst_test_to() %{expand:%%{?_enable_%{1}:--enable-%{2}test}} %{expand:%%{?_disable_%{1}:--disable-%{2}test}}
%define subst_test() %{expand:%%{?_enable_%{1}:--enable-%{1}test}} %{expand:%%{?_disable_%{1}:--disable-%{1}test}}

%{?_disable_opengl:%set_disable glu}
%{?_enable_aa:%def_with ncurses}
%{?_enable_caca:%def_with ncurses}

%ifnarch %ix86
%set_disable win32
%endif

Name: xine
%define lname lib%name
Version: 1.1.7
%define plugin_version %version
Release: alt3
Summary: A Free Video & Audio Player
Summary(ru_RU.CP1251):        DVD
License: GPL
Group: Video
URL: http://%{name}hq.de/
Source0: http://%name.sourceforge.net/files/%name-lib-%version.tar.bz2
Source1: %name-mimetypes.c
Patch0: %name-lib-1.1.6-ext_vidix.patch
Patch1: %name-lib-1.1.5-ext_faad.patch
Patch2: %name-lib-1.1.5-configure.patch
Patch3: %name-lib-1.1.4-alt-tmpdir.patch
Patch4: %name-lib-1.1.2-ext_mad.patch
Patch5: %name-lib-1.1.5-ext_a52.patch
Patch6: %name-lib-1.1.5-add_ff_decoders.patch
Patch8: %name-lib-1.1.7-demux_qt.patch

# Automatically added by buildreq on Wed Apr 11 2007 (-bi)
#BuildRequires: aalib-devel esound-devel fontconfig-devel gcc-c++ gnome-vfs-devel libarts-devel libavcodec-devel libcaca-devel libdirectfb-devel libdvdnav-devel libfreetype-devel libgpm-devel libgtk+2-common-devel libImageMagick-devel libjpeg-devel libmesa-devel libmng-devel libmodplug-devel libmpcdec-devel libpostproc-devel libpulseaudio-devel libSDL-devel libslang-devel libsmbclient-devel libspeex-devel libvcd-devel libvidix-devel libwavpack-devel libXinerama-devel libXvMC-devel linux-libc-headers module-init-tools nvidia_glx_common transfig

BuildRequires: gcc-c++ modutils transfig libjpeg-devel
BuildRequires: libXt-devel xorg-cf-files

%{?_enable_a52:%{?_with_ext_a52:BuildRequires: liba52-devel}}
%{?_enable_dts:%{?_with_ext_dts:BuildRequires: libdca-devel}}
%{?_enable_mad:%{?_with_ext_mad:BuildRequires: libmad-devel}}
%{?_enable_musepack:%{?_with_ext_libmpcdec:BuildRequires: libmpcdec-devel}}
%{?_enable_faad:%{?_with_ext_faad:BuildRequires: libfaad-devel}}
%{?_enable_vcd:%{?_without_int_vcd:BuildRequires: libvcd-devel}}
%{?_enable_flac:BuildRequires: libflac-devel}
%{?_with_speex:BuildRequires: libspeex-devel}
%{?_with_vorbis:BuildRequires: libogg-devel libvorbis-devel >= 1.1.1-alt2}
%{?_with_theora:BuildRequires: libtheora-devel}
%{?_with_wavpack:BuildRequires: libwavpack-devel}
%{?_enable_modplug:BuildRequires: libmodplug-devel}

%{?_with_alsa:BuildRequires: libalsa-devel >= 0.9.0rc4}
%{?_with_arts:BuildRequires: libarts-devel >= 0.9.5}
%{?_with_esound:BuildRequires: esound-devel >= 0.2.8}
%{?_with_pulseaudio:BuildRequires: libpulseaudio-devel}
%{?_enable_jack:BuildRequires: jackit-devel}

%{?_enable_opengl:BuildRequires: libmesa-devel}
%{?_with_sdl:BuildRequires: libSDL-devel >= 1.1.5}

%{?_enable_xvmc:BuildRequires: libXvMC-devel}
%{?_with_xcb:BuildRequires: libxcb-devel >= 1.0}
%{?_enable_xinerama:BuildRequires: libXinerama-devel}
%{?_enable_aa:BuildRequires: aalib-devel >= 1.4 libX11-devel libXdmcp-devel libXau-devel}
%{?_with_caca:BuildRequires: libcaca-devel >= 0.99 libX11-devel libXdmcp-devel libXau-devel}
%{?_with_ncurses:BuildRequires: libncurses-devel libgpm-devel libslang-devel}
%{?_enable_directfb:BuildRequires: libdirectfb-devel >= 0.9.22}
%{?_enable_dxr3:BuildRequires: libdxr3-devel}

%{?_enable_mng:BuildRequires: libmng-devel}
%{?_with_imagemagick:BuildRequires: libImageMagick-devel libtiff-devel liblcms-devel bzlib-devel}

%{?_with_freetype:BuildRequires: libfreetype-devel}
%{?_with_fontconfig:BuildRequires: fontconfig-devel}
%{?_enable_gnomevfs:BuildRequires: gnome-vfs-devel libGConf-devel}
%{?_enable_gdkpixbuf:BuildRequires: libGConf-devel libgtk+2-devel}
%{?_enable_fame:BuildRequires: libfame-devel >= 0.8.10}
%{?_with_ext_dvdnav:BuildRequires: libdvdnav-devel >= 0.1.9}
%{?_with_ext_ffmpeg:BuildRequires: libavcodec-devel libpostproc-devel}
%{?_enable_samba:BuildRequires: libsmbclient-devel}
%{?_enable_vidix:%{?_with_ext_vidix:BuildRequires: libvidix-devel}}

%description
%lname is a free gpl-licensed video player libraries and plugins for
unix-like systems. It supports mpeg-2 and mpeg-1 streams as well as AVI
files that contain MS MPEG-4 / DivX / XviD Video.


%package -n %lname
Group: Video
Summary: Free libraries for play video
Summary(ru_RU.CP1251):       
Provides: xine-plugin-vo-aa = %version-%release
Provides: xine-plugin-vo-caca = %version-%release
Provides: xine-plugin-vo-fb = %version-%release

%description -n %lname
%lname is a free gpl-licensed video player libraries and plugins for
unix-like systems. It supports mpeg-2 and mpeg-1 streams as well as AVI
files that contain MS MPEG-4 / DivX / XviD Video.

%description -l ru_RU.CP1251 -n lib%name
%lname -       . 
 mpeg-2  mpeg-1 ,   AVI , 
MS MPEG4  DivX/XviD .       
   DVD.
 

%package -n %lname-devel
Summary: Includes for %name development
Summary(ru_RU.CP1251):      %name
Group: Development/Other
Requires: lib%name = %version-%release

%description -n %lname-devel
This package contains the include files for development for %name video
output libraries.

%description -n lib%name-devel -l ru_RU.CP1251
    .h     
  %name.


%if_enabled static
%package -n %lname-devel-static
Summary: Static library for %name development
Summary(ru_RU.CP1251):      %name
Group: Development/Other
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
This package contains the static library for development for %name video
output.

%description -n %lname-devel-static -l ru_RU.CP1251
       
   %name.
%endif


%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n %name-lib-%version
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%{?audio_buffer_size:subst 's/8192/%audio_buffer_size/g' src/xine-engine/audio_decoder.c}
install -m 0644 %SOURCE1 misc/%name-mimetypes.c


%build
%define _optlevel 3
%if_enabled debug
%add_optflags -UNDEBUG -DDEBUG
%else
%add_optflags -UDEBUG
%endif
./autogen.sh noconfig
export GLOBAL_CFLAGS="%optflags"
%configure \
    --x-libraries=%_libdir \
    %{subst_enable nls} \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable optimizations} \
    %{subst_enable altivec} \
    %{subst_enable vic} \
    %{subst_enable mlib} \
    %{subst_enable ipv6} \
    %{subst_enable mmap} \
    %{subst_with_to ext_ffmpeg external-ffmpeg} \
    %{subst_enable asf} \
    %{subst_enable v4l} \
    %{subst_enable_to a52 a52dec} \
    %{subst_with_to ext_a52 external-a52dec} \
    %{subst_enable dts} \
    %{subst_with_to ext_dts external-libdts} \
    %{subst_enable faad} \
    %{subst_with_to ext_faad external-faad} \
    %{subst_enable_to flac libflac} %{subst_test_to flac libFLAC} \
    %{subst_enable mad} \
    %{subst_with_to ext_mad external-libmad} \
    %{subst_enable musepack} \
    %{subst_with_to ext_libmpcdec external-libmpcdec} \
    %{subst_with speex} \
    %{subst_with alsa} \
    %{subst_with arts} \
    %{subst_with esound} \
    %{subst_with fusionsound} \
    %{subst_enable jack} \
    %{subst_test_to fame libfame} \
    %{subst_test vorbis} \
    %{subst_test theora} \
    %{subst_with speex} \
    %{subst_with wavpack} \
    %{subst_enable modplug} \
    %{subst_enable oss} \
    %{subst_with pulseaudio} \
    %{subst_enable opengl} \
    %{subst_enable_to fb syncfb} \
    %{subst_enable glu} \
    %{subst_enable xvmc} \
    %{subst_enable xinerama} \
    %{subst_enable_to aa aalib} %{subst_test_to aa aalib} \
    %{subst_with caca} \
    %{subst_with xcb} \
    %{subst_enable directfb} \
    %{subst_with sdl} \
    %{subst_enable dxr3} \
    %{subst_enable vidix} \
    %{subst_with_to ext_vidix external-vidix} \
    %{?_enable_xvmc:%{?xvmclib:--with-xvmc-lib=%xvmclib}} \
    %{?xxmclib:--with-xxmc-lib=%xxmclib} \
    %{subst_enable mng} \
    %{subst_with imagemagick} \
    %{subst_with freetype} \
    %{subst_with fontconfig} \
    %{subst_enable antialiasing} \
    %{subst_enable gnomevfs} \
    %{subst_enable gdkpixbuf} \
    %{subst_enable samba} \
    %{subst_enable vcd} \
    %{subst_with_to int_vcd internal-vcdlib} \
    %{subst_enable largefile} \
    %{subst_enable_to real_codecs real-codecs} \
    %{subst_enable_to win32 w32dll} \
    %{?_enable_win32:%{?win32dir:--with-w32-path=%win32dir}} \
%if_with ext_dvdnav
    --with-external-dvdnav \
    --enable-dvdnavtest \
%else
    --without-external-dvdnav \
    --disable-dvdnavtest \
%endif
    %{subst_enable_to static_xv static-xv} \
    %{subst_enable_to macosx_vodeo macosx-video} \
    %{subst_enable coreaudio} \
    %{?xvdir:--with-xv-path=%xvdir} \
    %{subst_enable_to dha dha-kmod} \
    %{subst_enable_to fast_install fast-install} \
    --disable-dependency-tracking

%make_build GLOBAL_CFLAGS="%optflags"
%__cc -Os -I. -Iinclude -Ilib -Isrc/%name-utils -DXINE_COMPILE -o misc/%name-mimetypes misc/%name-mimetypes.c -Lsrc/%name-engine/.libs -lxine


%install
make DESTDIR=%buildroot docdir=%_docdir/%name-%version htmldir=%_docdir/%name-%version/html install
%if_enabled static
install -m 0644 src/post/*/.libs/%{name}plug_post_*.a %buildroot%_libdir/%name/plugins/%plugin_version/post/
install -m 0644 src/{[^p]*/*,*}/.libs/%{name}plug_*.a %buildroot%_libdir/%name/plugins/%plugin_version/
%endif
install -pD -m 0755 misc/%name-mimetypes %buildroot%_libexecdir/%name/mimetypes
install -d -m 0755 %buildroot%_datadir/mimetypes-devel
:> %buildroot%_datadir/mimetypes-devel/%lname
chmod 644 %buildroot%_datadir/mimetypes-devel/%lname
ln -sf ../mimetypes-devel/%lname %buildroot%_datadir/%name/mimetypes
bzip2 --best --stdout -- ChangeLog > %buildroot%_docdir/%name-%version/ChangeLog.bz2
install -m 0644 AUTHORS CREDITS %buildroot%_docdir/%name-%version/
ln -sf %_licensedir/GPL-2 %buildroot%_docdir/%name-%version/COPYING
rm -f %buildroot%_docdir/%name-%version/README.{MINGWCROSS,WIN32,freebsd,irix,solaris}
%{?_disable_fb:rm -f %buildroot%_docdir/%name-%version/README.syncfb}
%{?_disable_opengl:rm -f %buildroot%_docdir/%name-%version/README.opengl}

%find_lang libxine1

%{?_enable_shared:%add_findprov_lib_path %_libdir/%name/plugins/%plugin_version %_libdir/%name/plugins/%plugin_version/post}


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%post -n %lname-devel
%_libexecdir/%name/mimetypes | sed 's/:[^:]*:[^;]*//g' | sort > %_datadir/mimetypes-devel/%lname
ln -sf ../mimetypes-devel/%lname %_datadir/%name/mimetypes


%if_enabled shared
%files -n %lname -f libxine1.lang
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/html
%_docdir/%name-%version/AUTHORS
%_docdir/%name-%version/ChangeLog*
%_docdir/%name-%version/COPYING
%_docdir/%name-%version/CREDITS
%_docdir/%name-%version/README*
%_docdir/%name-%version/*.txt
%_docdir/%name-%version/html/*.html
%_libdir/%{lname}*.so.*
%dir %_datadir/%name
%_datadir/%name/%{lname}*
%_man5dir/*
#plugins
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%dir %_libdir/%name/plugins/%plugin_version
%_libdir/%name/plugins/%plugin_version/*.so
%_libdir/%name/plugins/%plugin_version/mime.types
%ifarch %ix86
%ifdef _without_ext_vidix
%dir %_libdir/%name/plugins/%plugin_version/vidix
%_libdir/%name/plugins/%plugin_version/vidix/*
%endif
%endif # vidix don't build on x86_64
%dir %_libdir/%name/plugins/%plugin_version/post
%_libdir/%name/plugins/%plugin_version/post/*.so
%endif


%files -n %lname-devel
%if_enabled shared
%_libdir/%{lname}*.so
%else
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/html
%_docdir/%name-%version/AUTHORS
%_docdir/%name-%version/ChangeLog*
%_docdir/%name-%version/COPYING
%_docdir/%name-%version/CREDITS
%_docdir/%name-%version/README*
%_docdir/%name-%version/*.txt
%_docdir/%name-%version/html/*.html
%dir %_datadir/%name
%_datadir/%name/%{lname}*
%_man5dir/*
%endif
%_docdir/%name-%version/html/hackersguide
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%_libexecdir/%name/mimetypes
%dir %_datadir/mimetypes-devel
%ghost %_datadir/mimetypes-devel/%lname
%ghost %_datadir/%name/mimetypes
%_includedir/%name
%_includedir/%name.h
%_bindir/*
%_man1dir/*


%if_enabled static
%files -n %lname-devel-static %{?_disable_shared:-f libxine1.lang}
%_libdir/*.a
%_libdir/%name/plugins/%plugin_version/*.a
%_libdir/%name/plugins/%plugin_version/post/*.a
%if_disabled shared
%doc AUTHORS ChangeLog.* CREDITS doc/faq/faq.txt
%doc doc/README doc/README.dvb doc/README.network_dvd
%doc doc/README_xxmc.html%{?_enable_fb: doc/README.syncfb}%{?_enable_opengl: doc/README.opengl}
%dir %_libdir/%name
%_datadir/%name
%_man5dir/*
%ifarch %ix86
%ifdef _without_ext_vidixlib
%_libdir/%name/plugins/%plugin_version/vidix
%endif
%endif # internal vidix don't build on x86_64
%endif
%endif


%changelog
* Mon Jul 30 2007 Led <led@altlinux.ru> 1.1.7-alt3
- updated %name-lib-1.1.7-demux_qt.patch
- added list of supported MIME types

* Mon Jun 11 2007 Led <led@altlinux.ru> 1.1.7-alt2
- without xcb

* Fri Jun 08 2007 Led <led@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Wed May 23 2007 Led <led@altlinux.ru> 1.1.6-alt2.1
- rebuild for xcbless libX*

* Sat May 12 2007 Led <led@altlinux.ru> 1.1.6-alt2
- with xcb

* Tue Apr 24 2007 Led <led@altlinux.ru> 1.1.6-alt1
- 1.1.6
- updated %name-lib-1.1.6-ext_vidix.patch
- removed %name-lib-1.1.5-xcbxv.patch
- removed %name-lib-1.1.5-configure.patch

* Wed Apr 18 2007 Led <led@altlinux.ru> 1.1.5-alt3
- added %name-lib-1.1.5-demux_qt.patch

* Mon Apr 16 2007 Led <led@altlinux.ru> 1.1.5-alt2
- updated %name-lib-1.1.5-configure.patch (from upstream)
- cleaned up spec
- added %name-lib-1.1.5-xcbxv.patch (from upstream)

* Thu Apr 12 2007 Led <led@altlinux.ru> 1.1.5-alt1
- 1.1.5:
  + XCB-based output plugins (Xv and XShm)
  + H.264 video stream in PES packets
  + multiple audio PID in MPEG TS
  + Improved PulseAudio plugin
- removed %name-lib-1.1.4-xcb.patch
- removed %name-lib-1.1.4-pulseaudio.patch
- removed %name-lib-1.1.4-makefile.patch
- updated %name-lib-1.1.5-ext_vidix.patch
- updated %name-lib-1.1.5-ext_faad.patch
- updated %name-lib-1.1.5-ext_a52.patch
- updated %name-lib-1.1.5-add_ff_decoders.patch
- added %name-lib-1.1.5-configure.patch
- enabled modplug

* Tue Mar 13 2007 Led <led@altlinux.ru> 1.1.4-alt2
- added %name-lib-1.1.4-xcb.patch (from CVS)
- added %name-lib-1.1.4-pulseaudio.patch (from CVS)
- build with external libdvdnav (#11074)

* Mon Feb 05 2007 Led <led@altlinux.ru> 1.1.4-alt1
- added some Provides for %lname
- updated %name-lib-1.1.4-add_ff_decoders.patch for support Dirac video
  codec via ffmpeg

* Mon Jan 29 2007 Led <led@altlinux.ru> 1.1.4-alt0.1
- 1.1.4
- enabled wavpack
- enabled libflac
- removed %name-lib-1.1.1-textrels.patch (fixed in upstream)
- removed %name-lib-1.1.2-ext_musepack.patch (fixed in upstream)
- removed %name-lib-1.1.3-ffmpeg.patch (fixed in upstream)
- removed %name-lib-1.1.3-configure.patch (fixed in upstream)
- updated %name-lib-1.1.4-ext_vidix.patch
- updated %name-lib-1.1.4-ext_faad.patch
- updated %name-lib-1.1.4-alt-tmpdir.patch
- updated %name-lib-1.1.4-add_ff_decoders.patch
- added %name-lib-1.1.4-makefile.patch

* Fri Jan 26 2007 Led <led@altlinux.ru> 1.1.3-alt2
- with external ffmpeg due added %name-lib-1.1.3-ffmpeg.patch
- added %name-lib-1.1.3-configure.patch
- fixed BuildRequires
- with internal libdvdnav

* Wed Dec 27 2006 Led <led@altlinux.ru> 1.1.3-alt1
- fixed BuildRequires
- enabled caca
- fixed %name-lib-1.1.3-add_ff_decoders.patch

* Thu Dec 21 2006 Led <led@altlinux.ru> 1.1.3-alt0.4
- updated %name-lib-1.1.3-add_ff_decoders.patch: added VP5, VP6, VP6F,
  WAVPACK and enabled Snow, TTA for internal libavcodec (backported
  from ffmpeg's SVN)

* Wed Dec 20 2006 Led <led@altlinux.ru> 1.1.3-alt0.3
- fixed BuildRequires
- with internal ffmpeg

* Tue Dec 19 2006 Led <led@altlinux.ru> 1.1.3-alt0.2
- cleaned up %name-lib-1.1.3-add_ff_decoders.patch

* Mon Dec 04 2006 Led <led@altlinux.ru> 1.1.3-alt0.1
- 1.1.3:
  + add "m4b" to the list of supported file extensions
  + allow 0 for DVD title/chapter (navigation or full title)
  + experimental JACK audio driver
  + allow playing of OggFlac files
  + enabled TrueSpeech codec
  + allow playing FLAC files with an ID3 tag at the start
- cleaned up spec
- removed %name-lib-1.1.2-pulseaudio.patch (in upstream now)
- updated %name-lib-1.1.3-ext_vidix.patch
- updated %name-lib-1.1.3-ext_faad.patch
- updated %name-lib-1.1.3-add_ff_decoders.patch
- disabled caca (require caca >= 0.99)

* Wed Nov 15 2006 Led <led@altlinux.ru> 1.1.2-alt8
- fixed build with xvmc
- updated %name-lib-1.1.2-pulseaudio.patch
- fixed BuildRequires for building with external libvcd
- enabled build with external musepack lib (libmpcdec):
  %name-lib-1.1.2-ext_musepack.patch
- enabled build with external faad (libfaad):
  %name-lib-1.1.2-ext_faad.patch

* Mon Nov 06 2006 Led <led@altlinux.ru> 1.1.2-alt7
- increase audio fifo buffer size (for support files from old OggVorbis
  codec)

* Thu Nov 02 2006 Led <led@altlinux.ru> 1.1.2-alt6
- enabled support VP5, VP6 (#10227), VP6 Flash, Snow decoders for
  ffmpeg plugin: %name-lib-1.1.2-add_ff_decoders.patch

* Wed Nov 01 2006 Led <led@altlinux.ru> 1.1.2-alt5
- fixed build with extrenal libmad (added %name-lib-1.1.2-ext_mad.patch)
- fixed build with extrenal liba52 (added %name-lib-1.1.2-ext_a52.patch)

* Tue Oct 26 2006 Led <led@altlinux.ru> 1.1.2-alt4
- enabled gdkpixbuf again
- cleaned up spec
- changed %%optflags

* Tue Oct 10 2006 Led <led@altlinux.ru> 1.1.2-alt3
- added %name-lib-1.1.0-alt-tmpdir.patch (by shrek@)
- disabled gdkpixbuf
- fixed spec

* Mon Oct 02 2006 Led <led@altlinux.ru> 1.1.2-alt2
- disabled win32 dll's support for non-ix86 arches
- fixed up %%optflags
- enabled samba
- added pulseaudio support (adapted from CVS)
- fixed %%configure parameters
- added %name-lib-1.1.2-pulseaudio.patch
- built with external vidix libs and drivers
- fixed BuildRequires
- fixed %%configure parameters
- added %lname-devel-static package
- added %name-lib-1.1.2-ext_vidix.patch
- remade spec

* Tue Jul 11 2006 Anton Farygin <rider@altlinux.ru> 1.1.2-alt1
- new version

* Mon May 22 2006 Anton Farygin <rider@altlinux.ru> 1.1.1-alt5
- build with external libdca

* Fri May 19 2006 Anton Farygin <rider@altlinux.ru> 1.1.1-alt4
- build with external libffmpeg

* Fri Apr 21 2006 Anton Farygin <rider@altlinux.ru> 1.1.1-alt3
- fixed build with Xv

* Wed Mar 15 2006 Anton Farygin <rider@altlinux.ru> 1.1.1-alt2
- disabled xvmc for x86
- added patch from SuSE for resume alsa sound after suspend

* Mon Feb 13 2006 Anton Farygin <rider@altlinux.ru> 1.1.1-alt1
- new version

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.0-alt2.1.1
- Rebuilt for new pkg-config dependencies.

* Thu Jan 12 2006 LAKostis <lakostis at altlinux.ru> 1.1.0-alt2.1
- NMU;
- x86_64 fix.

* Thu Sep 08 2005 Anton Farygin <rider@altlinux.ru> 1.1.0-alt2
- rebuild with new libvorbis-devel

* Tue Aug 16 2005 Anton Farygin <rider@altlinux.ru> 1.1.0-alt1
- new version

* Mon Aug 01 2005 Anton Farygin <rider@altlinux.ru> 1.0.2-alt1
- new version

* Fri Jun 24 2005 Anton Farygin <rider@altlinux.ru> 1.0.1-alt1
- new version

* Sat Jan 15 2005 Anton Farygin <rider@altlinux.ru> 1.0.0-alt6
- disabled fpic (gcc 3.4 buildfix)

* Tue Dec 28 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt5
- enable xxmc plugin

* Mon Dec 27 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt4
- 1.0

* Tue Sep 21 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt3.rc6a
- rc6a

* Tue Jul 13 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt3.rc5
- removed libarts and esound support

* Mon Jun 21 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc5
- rc5

* Thu May 13 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc4a
- rc4a

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc4
- rc4

* Mon Apr 19 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3c
- rc3c

* Thu Mar 18 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3b
- rc3b
- #2466 fixed (libxine-devel now required libxine-version-release)

* Sun Jan 04 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3a
- rc3a
- build fix

* Thu Oct 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt2.rc2
- rc2

* Tue Oct 07 2003 Rider <rider@altlinux.ru> 1.0.0-alt2.rc1
- rc1

* Tue Sep 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030930
- update from CVS
- buildrequires added
- decrease alsa sound plugin priority

* Wed Sep 24 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030924
- update from CVS

* Thu Aug 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030814
- update from CVS

* Mon Jul 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030714
- update from CVS

* Wed Jul 09 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030709
- update from CVS (beta13 now)

* Mon Apr 28 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030428
- update from CVS

* Wed Apr 09 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030409
- beta 10 from CVS

* Mon Mar 31 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030331
- update from CVS

* Mon Mar 24 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030324
- update from CVS (beta9 now)

* Mon Mar 10 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030310
- beta8

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030305
- update from CVS
- more decrement alsa priority (alsa may be check after arts)

* Mon Mar 04 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030304
- update from CVS
- removed dvb input plugin (don't work now)

* Tue Feb 25 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030225
- update from CVS

* Sun Feb 17 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030217
- update from CVS
- fix requires to gnome-vfs (rebuild in BTE)

* Fri Feb 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030214
- update from CVS
- build with libflac for FLAC audio format support

* Thu Jan 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.beta4
- beta 4

* Wed Jan 29 2003 Rider <rider@altlinux.ru> 1.0.0-alt0.1.beta4.cvs20030129
- build version 1.0.0 -beta4 from xine-lib CVS

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 0.9.13-alt3
- BuildRequires fix
- rebuild (gcc 3.2)

* Tue Aug 20 2002 Rider <rider@altlinux.ru> 0.9.13-alt2
- vidix pluguns fix

* Mon Aug 05 2002 Rider <rider@altlinux.ru> 0.9.13-alt1
- 0.9.13

* Wed Jul 31 2002 Rider <rider@altlinux.ru> 0.9.12-alt1
- 0.9.12

* Thu Jun 06 2002 Rider <rider@altlinux.ru> 0.9.10-alt4
- rebuild

* Tue Jun 04 2002 Rider <rider@altlinux.ru> 0.9.10-alt3
- with libfame 0.9.0 rebuild

* Mon Jun 03 2002 Rider <rider@altlinux.ru> 0.9.10-alt2
- buildrequires fix
- build with libfame and librte
- specfile cleanup

* Mon May 27 2002 Rider <rider@altlinux.ru> 0.9.10-alt1
- 0.9.10
- buildrequres fix
- build without SDL, OpenGL and DirectFB output plugins
- added xvid decoder

* Tue Apr 30 2002 Rider <rider@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Fri Jan 25 2002 Rider <rider@altlinux.ru> 0.9.8-alt2
- buildrequires fix

* Wed Jan 16 2002 Rider <rider@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Fri Dec 14 2001 Rider <rider@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Dec 02 2001 Rider <rider@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Nov 08 2001 Rider <rider@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Tue Oct 16 2001 Rider <rider@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Tue Oct 09 2001 Rider <rider@altlinux.ru> 0.9.1-alt2
- snapshot from CVS

* Tue Sep 18 2001 Rider <rider@altlinux.ru> 0.9.1-alt1
- 0.9.1 released ;-)

* Tue Sep 18 2001 Rider <rider@altlinux.ru> 0.9.0-alt2
- update from CVS
- removed d4d plugin from this package

* Sat Sep 15 2001 Rider <rider@altlinux.ru> 0.9.0-alt1
- 0.9.0 from CVS

* Tue Sep 12 2001 Rider <rider@altlinux.ru> 0.5.3-alt4
- rebuild from CVS (DVD playback bugfix, fasted playback speed)

* Mon Sep 11 2001 Rider <rider@altlinux.ru> 0.5.3-alt3
- Fixed CFLAGS

* Sat Sep 08 2001 Rider <rider@altlinux.ru> 0.5.3-alt2
- New patch for fix ESD sound init

* Sat Sep 08 2001 Rider <rider@altlinux.ru>
- first build for ALT Linux
